### Function

# AppStream AgreementKind from_string

since: 0.12.1

#### Declaration [src]

    AsAgreementKind
    as_agreement_kind_from_string (
      const gchar* value
    )

#### Description [src]

Converts the text representation to an enumerated value.

Available since: 0.12.1

#### Parameters

`value`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsAgreementKind`

A `AsAgreementKind` or `AS_AGREEMENT_KIND_UNKNOWN` for unknown.